## org.apache.lucene.queries.function.valuesource
Class TotalTermFreqValueSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.TotalTermFreqValueSource

    public class TotalTermFreqValueSource

extends ValueSource

`TotalTermFreqValueSource` returns the total term freq (sum of term freqs across all documents). Returns -1 if frequencies were omitted for the field, or if the codec doesn't support this statistic.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`protected String` `field`
`protected BytesRef` `indexedBytes`
`protected String` `indexedField`
`protected String` `val`

Constructor Summary
`TotalTermFreqValueSource(String field, String val, String indexedField, BytesRef indexedBytes)`

Method Summary
`void` `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`
`String` `name()`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### field

    protected final String field

### indexedField

    protected final String indexedField

### val

    protected final String val

### indexedBytes

    protected final BytesRef indexedBytes

Constructor Detail

### TotalTermFreqValueSource

    public TotalTermFreqValueSource(String field,
                                    String val,
                                    String indexedField,
                                    BytesRef indexedBytes)

Method Detail

### name

    public String name()

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### createWeight

    public void createWeight(Map context,
                             IndexSearcher searcher)
                      throws IOException

  Description copied from class: `ValueSource`
  Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.

  Overrides:
    `createWeight` in class `ValueSource`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.